print("Loading multiplayer temple setting")


clear();

--LEVEL SETUP

--set Background
--texture, width, height, position X, position Y
setBackGround("map_temple.dds", 400, 200, 0, 0);
setTerrainMap("terraininfo_temple.tga");
setGameMode(3);
gofile("multiplayer/netViewDistance.lua");


--set Sun
--distance X, distance Y
setSunDist(-0.55, 1.0);

--set Dust visual element
setDustElement(vel_dust);
setSkidElement(vel_skid);

--set Borders
--position X, position Y, direction, elasticity
addBorder(0, 100, PI, 0.7);
addBorder(200, 0, HALFPI, 0.7);
addBorder(0, -100, 0, 0.7);
addBorder(-200, 0, THREEHALFPI, 0.7);

--setWaypoints
--position X, position Y
addWaypoint(-128, -55);
addWaypoint(-115, 48);
addWaypoint(-48, 93);
addWaypoint(21, 74);
addWaypoint(56, 56);
addWaypoint(85, -7);
addWaypoint(20, -76);
addWaypoint(-75, -72);


--set Camera Extents
autoCameraExtents();

--set Obstacles
--texture, size X, size Y, position X, position Y, direction 
addObstacleBox(map_Building, 80, 80, -23.5, 11, PI * -0.105);
addObstacleBox(map_Building, 80, 80, -22.0, 6.5, PI * -0.105);

addObstacleBox(map_Building, 200, 30, 120, 93, PI * -0.09);

addObstacleBox(map_Building, 5, 28, 112.5, -90, PI * 0.03);
addObstacleBox(map_Building, 5, 24, 118.5, -67, PI * -0.07);
addObstacleBox(map_Building, 6, 28, 134, -55, PI * -0.40);
addObstacleBox(map_Building, 6, 28, 160, -49, PI * -0.44);
addObstacleBox(map_Building, 6, 24, 181, -42.5, PI * -0.42);
addObstacleBox(map_Building, 6, 36, 210, -43, PI * -0.49);



--setup enemy spawn points
spawn1_X = -220;
spawn1_Y = 60;
spawn2_X = 0;
spawn2_Y = 120;
spawn3_X = -220;
spawn3_Y = 60;
spawn4_X = -220;
spawn4_Y = 60;

ndc();





